/*global jQuery:false */
jQuery(document).ready(function($) {
"use strict";

	
		//add some elements with animate effect

		$(".big-cta").hover(
			function () {
			$('.cta a').addClass("animated shake");
			},
			function () {
			$('.cta a').removeClass("animated shake");
			}
		);
		$(".box").hover(
			function () {
			$(this).find('.icon').addClass("animated fadeInDown");
			$(this).find('p').addClass("animated fadeInUp");
			},
			function () {
			$(this).find('.icon').removeClass("animated fadeInDown");
			$(this).find('p').removeClass("animated fadeInUp");
			}
		);
		
		
		$('.accordion').on('show', function (e) {
		
			$(e.target).prev('.accordion-heading').find('.accordion-toggle').addClass('active');
			$(e.target).prev('.accordion-heading').find('.accordion-toggle i').removeClass('icon-plus');
			$(e.target).prev('.accordion-heading').find('.accordion-toggle i').addClass('icon-minus');
		});
		
		$('.accordion').on('hide', function (e) {
			$(this).find('.accordion-toggle').not($(e.target)).removeClass('active');
			$(this).find('.accordion-toggle i').not($(e.target)).removeClass('icon-minus');
			$(this).find('.accordion-toggle i').not($(e.target)).addClass('icon-plus');
		});	

		
		// tooltip
		$('.social-network li a, .options_box .color a').tooltip();

		var date = new Date();
		$('#DatePlaceholder').html(date.getFullYear());

		//scroll to top
		$(window).scroll(function(){
			if ($(this).scrollTop() > 100) {
				$('.scrollup').fadeIn();
				} else {
				$('.scrollup').fadeOut();
			}
		});
		$('.scrollup').click(function(){
			$("html, body").animate({ scrollTop: 0 }, 1000);
				return false;
		});

        // fancybox
		$(".fancybox").fancybox({
		    padding: 0,
		    autoResize: true,
		    beforeShow: function () {
		        this.title = $(this.element).attr('title');
		        this.title = '<h4>' + this.title + '</h4>' + '<p>' + $(this.element).parent().find('img').attr('alt') + '</p>';
		    },
		    helpers: {
		        title: { type: 'inside' },
		    }
		});

        //Formating for mobile navbar collapse
		$(window).resize(function () {
		    onWindowResize();
		});

		onWindowResize();
});

function onWindowResize() {

    if ($(window).width() < 751) {
        $('.navbar-default .navbar-collapse').addClass('mobile-show-background-color');
        $('.show-mobile').removeClass('hide');
    } else {
        $('.navbar-default .navbar-collapse').removeClass('mobile-show-background-color');
        $('.show-mobile').addClass('hide');

    }

    if ($(window).width() <= 1024) {
        $('.dont-show-mobile').addClass('hide');
    } else {
        $('.dont-show-mobile').removeClass('hide');
    }
}